Subject: Re: [Intel-wired-lan] [PATCH 12/15] ice: Add stats and ethtool support

From: Stephen Hemminger <[email-masked]>
Date: Wed, 14 Mar 2018 08:13:17 -0700

On Tue, 13 Mar 2018 14:14:14 -0700
Jesse Brandeburg <[email-masked]> wrote:

> Maybe it's just that I've been doing this too long, but I regularly
> (and many other customers/users do as well) depend on the ethtool stats
> being atomically updated w.r.t. each other.  This means that if I'm
> getting the over rx_packets, as well as the per-queue rx_packets, and I
> read them all at once from the driver with ethtool, then I can check
> that things are working as expected.

Any application depending on this behavior is really fragile.
It is unportable to other devices (which I guess is to Intel's benefit)
and relying on guarantees not provided by current Linux network devices.